/**
 * Default configuration for `MarkdownEditor`.
 */
export var DEFAULT_OPTIONS = {
    autofocus: true,
    disabled: false,
    downloadFileNameGenerator: function () {
        var now = new Date();
        var shift = new Date(now.getTime() - now.getTimezoneOffset() * 60000);
        return shift.toISOString().substr(0, 19).replace('T', '_').replace(/:|-/gi, '') + '.md';
    },
    highlightTokens: false,
    lineNumbers: false,
    lineWrapping: true,
    markdownGuideUrl: 'https://www.markdownguide.org/basic-syntax/',
    multipleCursors: true,
    placeholder: '',
    preferredTokens: {
        bold: '**',
        italic: '_',
        horizontalRule: '---',
        codeBlock: '```',
        unorderedList: '-',
        checkList: '-',
    },
    preferredTemplates: {
        link: ['[', '](https://)'],
        imageLink: ['![', '](https://)'],
        table: { rows: 2, columns: 2 },
    },
    richTextMode: true,
    shortcuts: {
        increaseHeadingLevel: 'Alt-H',
        decreaseHeadingLevel: 'Shift-Alt-H',
        toggleBold: 'Ctrl-B',
        toggleItalic: 'Ctrl-I',
        toggleStrikethrough: 'Ctrl-K',
        toggleUnorderedList: 'Ctrl-L',
        toggleOrderedList: 'Shift-Ctrl-L',
        toggleCheckList: 'Shift-Ctrl-Alt-L',
        toggleQuote: 'Ctrl-Q',
        insertLink: 'Ctrl-M',
        insertImageLink: 'Shift-Ctrl-M',
        insertTable: 'Ctrl-Alt-T',
        insertHorizontalRule: 'Shift-Ctrl--',
        toggleInlineCode: 'Ctrl-7',
        insertCodeBlock: 'Shift-Ctrl-7',
        openMarkdownGuide: 'F1',
        toggleRichTextMode: 'Alt-R',
        downloadAsFile: 'Shift-Ctrl-S',
        importFromFile: 'Ctrl-Alt-I',
        formatContent: 'Alt-F',
    },
    shortcutsEnabled: 'all',
    tabSize: 4,
    themes: ['default'],
};
/**
 * Default configuration for `MarkdownEditorFromTextarea`.
 */
export var DEFAULT_FROM_TEXTAREA_OPTIONS = Object.assign({
    autoSync: true,
}, DEFAULT_OPTIONS);
//# sourceMappingURL=markdown-editor-options.js.map